return {
    "yetone/avante.nvim",
    event = "VeryLazy",
    version = false, -- Set this to "*" to always pull the latest release version, or set it to false to update to the latest code changes.
    opts = {
        provider = "copilot",
        -- cursor_applying_provider = 'ollama',
        copilot = {
            model = "claude-3.5-sonnet"
        },
        ollama = {
            model = "llama3.2:1b"
        },
        behaviour = {
            enable_cursor_planning_mode = false, -- enable cursor planning mode!
        }
    },
    -- if you want to build from source then do `make BUILD_FROM_SOURCE=true`
    build = "nix-shell -p cmake --command make",
    -- build = "powershell -ExecutionPolicy Bypass -File Build.ps1 -BuildFromSource false" -- for windows
    dependencies = {
        "nvim-treesitter/nvim-treesitter",
        "stevearc/dressing.nvim",
        "nvim-lua/plenary.nvim",
        "MunifTanjim/nui.nvim",
        --- The below dependencies are optional,
        "zbirenbaum/copilot.lua", -- for providers='copilot'
        {
            -- Make sure to set this up properly if you have lazy=true
            'MeanderingProgrammer/render-markdown.nvim',
            opts = {
                file_types = { "markdown", "Avante" },
            },
            ft = { "markdown", "Avante" },
        },
    },
}
